Subject: Re: [PATCH 00/07] pm: remove late/early platform driver pm callbacks V2

From: Dan Williams <[email-masked]>
Date: Tue, 8 Sep 2009 18:25:55 -0700

2009/7/4 Rafael J. Wysocki <[email-masked]>:
> On Wednesday 24 June 2009, Magnus Damm wrote:
>> pm: remove late/early platform driver pm callbacks V2
>>
>> [PATCH 01/07] arm: rework omap suspend_late()/resume_early()
>> [PATCH 02/07] dma: rework dw_dmac suspend_late()/resume_early()
>> [PATCH 03/07] dma: rework txx9dmac suspend_late()/resume_early()
>> [PATCH 04/07] i2c: rework i2c-pxa suspend_late()/resume_early()
>> [PATCH 05/07] i2c: rework i2c-s3c2410 suspend_late()/resume() V2
>> [PATCH 06/07] usb: rework musb suspend()/resume_early()
>> [PATCH 07/07] pm: remove platform device suspend_late()/resume_early() V2
>>
>> These patches simply remove ->suspend_late() and ->resume_early()
>> from struct platform_driver. Drivers are converted to dev_pm_ops
>> with CONFIG_SUSPEND in mind. Untested.
>>
>> All patches except [02/07] are known to compile.
>>
>> Signed-off-by: Magnus Damm <[email-masked]>
[..]
>
> The series is now in the linux-next branch of the suspend-2.6 tree.  I'll move
> it into the for-linus branch, which is not rebased, if the patches are not
> reported to cause any problems in the next few days.
>

Hi,

My linux-next test builds for drivers/dma/ caught a missed conversion
of the at_hdmac driver.  Please check the attached fix (compile tested
only) and include it in this series.

Thanks and regards,
Dan